ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk" <aonis...@hortonworks.com>
Subject Review Request 36084: upgradeHelper for a 2.1 -> 2.2 upgrade leaves Resource Manager unusable
Date Wed, 01 Jul 2015 07:36:32 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/36084/
-----------------------------------------------------------

Review request for Ambari and Vitalyi Brodetskyi.


Bugs: AMBARI-12232
    https://issues.apache.org/jira/browse/AMBARI-12232


Repository: ambari


Description
-------

PROBLEM: The upgradeHelper script when upgrading from 2.1 -> 2.2 sets up YARN
to use ZKRMStateStore. It also sets the zk-address to localhost:2181:

    
    
    
              "yarn.resourcemanager.store.class": "org.apache.hadoop.yarn.server.resourcemanager.recovery.ZKRMStateStore",
              "yarn.resourcemanager.zk-address": "localhost:2181",
    

This leaves the RM unable to start because it has no quorum to connect to. The
upgradeHelper should either not set the ZKRMStateStore, or it should be trying
harder to populate a valid ZK quorum.


Diffs
-----

  ambari-server/src/main/python/upgradeHelper.py 196dd3c 
  ambari-server/src/main/resources/upgrade/catalog/UpgradeCatalog_2.0_to_2.2.json 7342a35

  ambari-server/src/main/resources/upgrade/catalog/UpgradeCatalog_2.1_to_2.2.json 94d30f5


Diff: https://reviews.apache.org/r/36084/diff/


Testing
-------

mvn clean test


Thanks,

Andrew Onischuk


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message